#pragma once
#include <Configuration.h>
#include <BasicAbstractions/IState.h>
#include <BasicAbstractions/IWindowKeeper.h>
#include <BasicAbstractions/IDrawable.h>
#include <BasicAbstractions/Button/Button.h>

class Menu: public IDrawable {
public:
    explicit Menu(IStateManager& state_manager);
    void process_mouse(sf::Vector2f pos, bool is_pressed);
    void draw_into(sf::RenderWindow& window) const override;
private:
    std::array<Button, 4> m_buttons;
};

class SelectState : public IState, public IWindowKeeper {
public:
    explicit SelectState(IStateManager& state_manager, const sf::VideoMode& video_mode, const sf::String& window_title) :
    IState(state_manager), IWindowKeeper(video_mode, window_title), m_menu(state_manager) {
        m_window.setFramerateLimit(config::FRAME_RATE_LIMIT);
    }
    bool do_step() override;
private:
    void event_handling() override;
    void update() override;
    void render() override;
private:
    Menu m_menu;
};

